=== modified file 'bzrlib/groupcompress.py'
--- bzrlib/groupcompress.py	2011-05-09 02:33:16 +0000
+++ bzrlib/groupcompress.py	2011-05-16 10:08:01 +0000
@@ -1317,22 +1317,6 @@
             self._check_lines_not_unicode(lines)
             self._check_lines_are_lines(lines)
 
-    def get_known_graph_ancestry(self, keys):
-        """Get a KnownGraph instance with the ancestry of keys."""
-        # Note that this is identical to
-        # KnitVersionedFiles.get_known_graph_ancestry, but they don't share
-        # ancestry.
-        parent_map, missing_keys = self._index.find_ancestry(keys)
-        for fallback in self._transitive_fallbacks():
-            if not missing_keys:
-                break
-            (f_parent_map, f_missing_keys) = fallback._index.find_ancestry(
-                                                missing_keys)
-            parent_map.update(f_parent_map)
-            missing_keys = f_missing_keys
-        kg = _mod_graph.KnownGraph(parent_map)
-        return kg
-
     def get_parent_map(self, keys):
         """Get a map of the graph parents of keys.
 

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2011-05-04 02:34:05 +0000
+++ bzrlib/knit.py	2011-05-16 10:08:01 +0000
@@ -1194,19 +1194,6 @@
         generator = _VFContentMapGenerator(self, [key])
         return generator._get_content(key)
 
-    def get_known_graph_ancestry(self, keys):
-        """Get a KnownGraph instance with the ancestry of keys."""
-        parent_map, missing_keys = self._index.find_ancestry(keys)
-        for fallback in self._transitive_fallbacks():
-            if not missing_keys:
-                break
-            (f_parent_map, f_missing_keys) = fallback._index.find_ancestry(
-                                                missing_keys)
-            parent_map.update(f_parent_map)
-            missing_keys = f_missing_keys
-        kg = _mod_graph.KnownGraph(parent_map)
-        return kg
-
     def get_parent_map(self, keys):
         """Get a map of the graph parents of keys.
 

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2011-05-13 09:30:57 +0000
+++ bzrlib/versionedfile.py	2011-05-16 10:08:01 +0000
@@ -1435,6 +1435,19 @@
         """
         raise NotImplementedError(self.add_fallback_versioned_files)
 
+    def get_known_graph_ancestry(self, keys):
+        """Get a KnownGraph instance with the ancestry of keys."""
+        parent_map, missing_keys = self._index.find_ancestry(keys)
+        for fallback in self._transitive_fallbacks():
+            if not missing_keys:
+                break
+            (f_parent_map, f_missing_keys) = fallback._index.find_ancestry(
+                                                missing_keys)
+            parent_map.update(f_parent_map)
+            missing_keys = f_missing_keys
+        kg = _mod_graph.KnownGraph(parent_map)
+        return kg
+
 
 class _PlanMergeVersionedFile(VersionedFiles):
     """A VersionedFile for uncommitted and committed texts.

